> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumx.io/llms.txt
> Use this file to discover all available pages before exploring further.

# On-ramp

> This endpoint converts fiat to stablecoin.



## OpenAPI

````yaml /openapi/api-production.yaml post /transactions/on-ramp
openapi: 3.1.0
info:
  version: 1.0.0
  title: Lumx API
  description: >-
    A cross-border banking API with instant settlements and unmatched liquidity,
    powered by stablecoins.
servers:
  - url: https://api.lumx.io
  - url: https://api-sandbox.lumx.io
security: []
paths:
  /transactions/on-ramp:
    post:
      tags:
        - Transactions
      summary: On-ramp
      description: This endpoint converts fiat to stablecoin.
      parameters:
        - $ref: '#/components/parameters/IdempotencyKey'
      requestBody:
        content:
          application/json:
            examples:
              Floating - PIX:
                value:
                  customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
                  rail: PIX
                  sourceCurrency: BRL
                  sourceAmount: '10000.00'
                  targetCurrency: USDC
                  purpose: PERSONAL_ACCOUNT
              Floating - SWIFT:
                value:
                  customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
                  rail: SWIFT
                  sourceCurrency: USD
                  sourceAmount: '10000.00'
                  targetCurrency: USDC
                  purpose: PERSONAL_ACCOUNT
              Floating - SEPA:
                value:
                  customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
                  rail: SEPA
                  sourceCurrency: EUR
                  sourceAmount: '10000.00'
                  targetCurrency: USDC
                  purpose: PERSONAL_ACCOUNT
              Floating - ACH:
                value:
                  customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
                  rail: ACH
                  sourceCurrency: USD
                  sourceAmount: '10000.00'
                  targetCurrency: USDC
                  purpose: PERSONAL_ACCOUNT
              Floating - FEDWIRE:
                value:
                  customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
                  rail: FEDWIRE
                  sourceCurrency: USD
                  sourceAmount: '10000.00'
                  targetCurrency: USDC
                  purpose: PERSONAL_ACCOUNT
              Floating - SPEI:
                value:
                  customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
                  rail: SPEI
                  sourceCurrency: MXN
                  sourceAmount: '10000.00'
                  targetCurrency: USDC
                  purpose: PERSONAL_ACCOUNT
              Locked - PIX:
                value:
                  customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
                  exchangeRateId: 123e4567-e89b-12d3-a456-426614174000
                  purpose: PERSONAL_ACCOUNT
              Locked - SWIFT:
                value:
                  customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
                  exchangeRateId: 123e4567-e89b-12d3-a456-426614174001
                  purpose: PERSONAL_ACCOUNT
              Locked - SEPA:
                value:
                  customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
                  exchangeRateId: 123e4567-e89b-12d3-a456-426614174002
                  purpose: PERSONAL_ACCOUNT
              Locked - ACH:
                value:
                  customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
                  exchangeRateId: 123e4567-e89b-12d3-a456-426614174003
                  purpose: PERSONAL_ACCOUNT
              Locked - FEDWIRE:
                value:
                  customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
                  exchangeRateId: 123e4567-e89b-12d3-a456-426614174004
                  purpose: PERSONAL_ACCOUNT
              Locked - SPEI:
                value:
                  customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
                  exchangeRateId: 123e4567-e89b-12d3-a456-426614174004
                  purpose: PERSONAL_ACCOUNT
            schema:
              $ref: '#/components/schemas/TransactionOnRampRequest'
      responses:
        '202':
          description: On-ramp transaction started successfully.
          content:
            application/json:
              examples:
                Floating - PIX:
                  $ref: '#/components/examples/TransactionOnRampFloatingPixExample'
                Floating - SWIFT:
                  $ref: '#/components/examples/TransactionOnRampFloatingSwiftExample'
                Floating - SEPA:
                  $ref: '#/components/examples/TransactionOnRampFloatingSepaExample'
                Floating - ACH:
                  $ref: '#/components/examples/TransactionOnRampFloatingAchExample'
                Floating - FEDWIRE:
                  $ref: >-
                    #/components/examples/TransactionOnRampFloatingFedwireExample
                Floating - SPEI:
                  $ref: '#/components/examples/TransactionOnRampFloatingSpeiExample'
                Locked - PIX:
                  $ref: '#/components/examples/TransactionOnRampLockedPixExample'
                Locked - SWIFT:
                  $ref: '#/components/examples/TransactionOnRampLockedSwiftExample'
                Locked - SEPA:
                  $ref: '#/components/examples/TransactionOnRampLockedSepaExample'
                Locked - ACH:
                  $ref: '#/components/examples/TransactionOnRampLockedAchExample'
                Locked - FEDWIRE:
                  $ref: '#/components/examples/TransactionOnRampLockedFedwireExample'
                Locked - SPEI:
                  $ref: '#/components/examples/TransactionOnRampLockedSpeiExample'
              schema:
                $ref: '#/components/schemas/TransactionOnRampResponse'
      security:
        - apiKey: []
components:
  parameters:
    IdempotencyKey:
      name: Idempotency-Key
      in: header
      required: false
      schema:
        type: string
        format: uuid
      description: >-
        Optional UUID v4 idempotency key. If you resend the same key with a
        different request body, the API returns a 409 error. Cached responses
        include the header `X-Idempotency-Cached: true`. Keys expire after 24
        hours.
  schemas:
    TransactionOnRampRequest:
      allOf:
        - oneOf:
            - allOf:
                - type: object
                  description: On-ramp using floating exchange rate.
                  title: Floating
                - $ref: '#/components/schemas/TransactionOnRampFloating'
            - allOf:
                - type: object
                  description: On-ramp using locked exchange rate.
                  title: Locked
                - $ref: '#/components/schemas/TransactionOnRampLocked'
    TransactionOnRampResponse:
      oneOf:
        - type: object
          title: Floating
          properties:
            id:
              type: string
              format: uuid
              description: On-ramp operation's unique identifier.
              example: 123e4567-e89b-12d3-a456-426614174000
            customerId:
              type: string
              description: Customer's unique identifier.
              format: uuid
              example: 3c90c3cc-0d44-4b50-8888-8dd25736052a
            type:
              type: string
              description: On-ramp operation's type.
              enum:
                - ON_RAMP
              example: ON_RAMP
            request:
              type: object
              properties:
                customerId:
                  type: string
                  description: Customer's unique identifier.
                  format: uuid
                  example: 3c90c3cc-0d44-4b50-8888-8dd25736052a
                rail:
                  type: string
                  enum:
                    - PIX
                    - SWIFT
                    - SEPA
                    - ACH
                    - FEDWIRE
                    - SPEI
                  description: Exchange rate payment rail.
                  example: PIX
                sourceCurrency:
                  type: string
                  description: Transaction's source currency.
                  example: BRL
                sourceAmount:
                  type: string
                  description: Transaction's source amount.
                  example: '10000.00'
                targetCurrency:
                  type: string
                  description: Transaction's target currency.
                  example: USDC
                purpose:
                  type: string
                  enum:
                    - PAYMENTS_FOR_GOODS_OR_SERVICES
                    - INTER_COMPANY_TRANSFER
                    - INVESTMENTS
                    - PAYROLL
                    - TREASURY_MANAGEMENT
                  description: Transaction's purpose.
                  example: PERSONAL_ACCOUNT
            state:
              type: object
              description: >-
                On-ramp operation's current state. See examples for more
                details.
            metadata:
              type: object
              description: Metadata object attached to the transaction.
              additionalProperties: true
              example:
                orderId: ord_789
                source: checkout
            createdAt:
              type: string
              format: date-time
              description: Creation date and time (UTC).
              example: '2024-03-20T15:30:00Z'
            updatedAt:
              type: string
              format: date-time
              description: Last update date and time (UTC).
              example: '2024-03-20T15:30:05Z'
        - type: object
          title: Locked
          properties:
            id:
              type: string
              format: uuid
              description: On-ramp operation's unique identifier.
              example: 123e4567-e89b-12d3-a456-426614174001
            customerId:
              type: string
              description: Customer's unique identifier.
              format: uuid
              example: 3c90c3cc-0d44-4b50-8888-8dd25736052a
            type:
              type: string
              description: On-ramp operation's type.
              enum:
                - ON_RAMP
              example: ON_RAMP
            request:
              type: object
              properties:
                customerId:
                  type: string
                  description: Customer's unique identifier.
                  format: uuid
                  example: 3c90c3cc-0d44-4b50-8888-8dd25736052a
                exchangeRateId:
                  type: string
                  format: uuid
                  description: Exchange rate ID for this transaction.
                  example: 123e4567-e89b-12d3-a456-426614174000
                purpose:
                  type: string
                  enum:
                    - PAYMENTS_FOR_GOODS_OR_SERVICES
                    - INTER_COMPANY_TRANSFER
                    - INVESTMENTS
                    - PAYROLL
                    - TREASURY_MANAGEMENT
                  description: Transaction's purpose.
                  example: PERSONAL_ACCOUNT
            state:
              type: object
              description: >-
                On-ramp operation's current state. See examples for more
                details.
            metadata:
              type: object
              description: Metadata object attached to the transaction.
              additionalProperties: true
              example:
                orderId: ord_789
                source: checkout
            createdAt:
              type: string
              format: date-time
              description: Creation date and time (UTC).
              example: '2024-03-20T15:30:00Z'
            updatedAt:
              type: string
              format: date-time
              description: Last update date and time (UTC).
              example: '2024-03-20T15:30:05Z'
    TransactionOnRampFloating:
      type: object
      properties:
        customerId:
          type: string
          description: Customer's unique identifier.
          format: uuid
          example: 3c90c3cc-0d44-4b50-8888-8dd25736052a
        rail:
          type: string
          enum:
            - PIX
            - SWIFT
            - SEPA
            - ACH
            - FEDWIRE
            - SPEI
          description: Exchange rate payment rail.
          example: PIX
        sourceCurrency:
          type: string
          enum:
            - BRL
            - USD
            - EUR
            - MXN
          description: Transaction's source currency.
          example: BRL
        sourceAmount:
          type: string
          description: Transaction's source amount.
          example: '10000.00'
        targetCurrency:
          type: string
          enum:
            - USDC
            - USDT
          description: Transaction's target currency.
          example: USDC
        purpose:
          type: string
          enum:
            - PERSONAL_ACCOUNT
            - INVESTMENT
            - REAL_ESTATE
            - TRADE_TRANSACTIONS
            - TAX
            - LOAN
            - BILLS
            - EXPENSES_REIMBURSEMENT
            - PROFESSIONAL_SERVICES
          description: >-
            Transaction's purpose. Note that PERSONAL_ACCOUNT can only be used
            with SELF relationship destinations.
          example: PERSONAL_ACCOUNT
        blockchain:
          type: string
          enum:
            - ETHEREUM
            - BASE
            - TRON
            - POLYGON
          description: >-
            Target blockchain for the transaction. If not provided, the
            project's default blockchain will be used.
          example: POLYGON
        partnerFeeId:
          type: string
          description: >-
            Transaction's partner fee ID. If not provided, partner fees will be
            zero.
          format: uuid
          example: 123e4567-e89b-12d3-a456-426614174004
        metadata:
          type: object
          description: >-
            Optional metadata object to attach to the transaction. Accepts any
            valid JSON object.
          additionalProperties: true
          example:
            orderId: ord_789
            source: checkout
      required:
        - customerId
        - rail
        - sourceCurrency
        - sourceAmount
        - targetCurrency
        - purpose
    TransactionOnRampLocked:
      type: object
      properties:
        customerId:
          type: string
          description: Customer's unique identifier.
          format: uuid
          example: 3c90c3cc-0d44-4b50-8888-8dd25736052a
        exchangeRateId:
          type: string
          format: uuid
          description: Exchange rate ID for this transaction.
          example: 123e4567-e89b-12d3-a456-426614174000
        purpose:
          type: string
          enum:
            - PERSONAL_ACCOUNT
            - INVESTMENT
            - REAL_ESTATE
            - TRADE_TRANSACTIONS
            - TAX
            - LOAN
            - BILLS
            - EXPENSES_REIMBURSEMENT
            - PROFESSIONAL_SERVICES
          description: >-
            Transaction's purpose. Note that PERSONAL_ACCOUNT can only be used
            with SELF relationship destinations.
          example: PERSONAL_ACCOUNT
        metadata:
          type: object
          description: >-
            Optional metadata object to attach to the transaction. Accepts any
            valid JSON object.
          additionalProperties: true
          example:
            orderId: ord_789
            source: checkout
      required:
        - customerId
        - exchangeRateId
        - purpose
  examples:
    TransactionOnRampFloatingPixExample:
      value:
        id: 123e4567-e89b-12d3-a456-426614174000
        customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
        type: ON_RAMP
        request:
          customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
          rail: PIX
          sourceCurrency: BRL
          sourceAmount: '10000.00'
          targetCurrency: USDC
          purpose: PERSONAL_ACCOUNT
        state:
          status: AWAITING_FUNDS
          payment:
            rail: PIX
            brCode: >-
              00020126580014br.gov.bcb.PIX0136123e4567-e89b-12d3-a456-4266141740005204000053039865802BR5915Test
              Merchant6009Sao Paulo62070503***63041234
        metadata: {}
        createdAt: '2024-03-20T15:30:00Z'
        updatedAt: '2024-03-20T15:30:05Z'
    TransactionOnRampFloatingSwiftExample:
      value:
        id: 123e4567-e89b-12d3-a456-426614174001
        customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
        type: ON_RAMP
        request:
          customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
          rail: SWIFT
          sourceCurrency: USD
          sourceAmount: '10000.00'
          targetCurrency: USDC
          purpose: PERSONAL_ACCOUNT
        state:
          status: AWAITING_FUNDS
          payment:
            rail: SWIFT
            identifier:
              iban: KY12BUTT00001234567890123456
              bic: BUTTKYKY
            holder:
              type: BUSINESS
              name: Lumx Cayman Ltd.
              address:
                line1: Grand Pavilion, Hibiscus Way
                city: George Town
                state: Grand Cayman
                country: CYM
                postalCode: KY1-1205
            bank:
              name: Butterfield Bank (Cayman) Limited
              address:
                line1: 65 Market Street
                city: George Town
                state: Grand Cayman
                country: CYM
                postalCode: KY1-1107
            memo: INV-2024-10-1547
        metadata: {}
        createdAt: '2024-03-20T15:30:00Z'
        updatedAt: '2024-03-20T15:30:05Z'
    TransactionOnRampFloatingSepaExample:
      value:
        id: 123e4567-e89b-12d3-a456-426614174002
        customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
        type: ON_RAMP
        request:
          customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
          rail: SEPA
          sourceCurrency: EUR
          sourceAmount: '10000.00'
          targetCurrency: USDC
          purpose: PERSONAL_ACCOUNT
        state:
          status: AWAITING_FUNDS
          payment:
            rail: SEPA
            identifier:
              iban: FR1420041010050500013M02606
              bic: BNPAFRPP
            holder:
              type: BUSINESS
              name: Lumx SAS
              address:
                line1: 45 Avenue Montaigne
                city: Paris
                state: IDF
                country: FRA
                postalCode: '75008'
            bank:
              name: BNP Paribas
              address:
                line1: 16 Boulevard des Italiens
                city: Paris
                state: IDF
                country: FRA
                postalCode: '75009'
        metadata: {}
        createdAt: '2024-03-20T15:30:00Z'
        updatedAt: '2024-03-20T15:30:05Z'
    TransactionOnRampFloatingAchExample:
      value:
        id: 123e4567-e89b-12d3-a456-426614174006
        customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
        type: ON_RAMP
        request:
          customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
          rail: ACH
          sourceCurrency: USD
          sourceAmount: '10000.00'
          targetCurrency: USDC
          purpose: PERSONAL_ACCOUNT
        state:
          status: AWAITING_FUNDS
          payment:
            rail: ACH
            identifier:
              type: CHECKING
              accountNumber: '123456789012'
              routingNumber: '021000021'
            holder:
              type: BUSINESS
              name: Lumx US Inc.
              address:
                line1: 100 Wall Street
                city: New York
                state: NY
                country: USA
                postalCode: '10005'
            bank:
              name: JPMorgan Chase Bank
              address:
                line1: 383 Madison Avenue
                city: New York
                state: NY
                country: USA
                postalCode: '10179'
            memo: INV-2024-10-1548
        metadata: {}
        createdAt: '2024-03-20T15:30:00Z'
        updatedAt: '2024-03-20T15:30:05Z'
    TransactionOnRampFloatingFedwireExample:
      value:
        id: 123e4567-e89b-12d3-a456-426614174007
        customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
        type: ON_RAMP
        request:
          customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
          rail: FEDWIRE
          sourceCurrency: USD
          sourceAmount: '10000.00'
          targetCurrency: USDC
          purpose: PERSONAL_ACCOUNT
        state:
          status: AWAITING_FUNDS
          payment:
            rail: FEDWIRE
            identifier:
              type: CHECKING
              accountNumber: '123456789012'
              routingNumber: '021000021'
            holder:
              type: BUSINESS
              name: Lumx US Inc.
              address:
                line1: 100 Wall Street
                city: New York
                state: NY
                country: USA
                postalCode: '10005'
            bank:
              name: JPMorgan Chase Bank
              address:
                line1: 383 Madison Avenue
                city: New York
                state: NY
                country: USA
                postalCode: '10179'
            memo: INV-2024-10-1549
        metadata: {}
        createdAt: '2024-03-20T15:30:00Z'
        updatedAt: '2024-03-20T15:30:05Z'
    TransactionOnRampFloatingSpeiExample:
      value:
        id: 123e4567-e89b-12d3-a456-426614174010
        customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
        type: ON_RAMP
        request:
          customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
          rail: SPEI
          sourceCurrency: MXN
          sourceAmount: '10000.00'
          targetCurrency: USDC
          purpose: PERSONAL_ACCOUNT
        state:
          status: AWAITING_FUNDS
          payment:
            rail: SPEI
            identifier:
              clabe: '012180001234567897'
        metadata: {}
        createdAt: '2024-03-20T15:30:00Z'
        updatedAt: '2024-03-20T15:30:05Z'
    TransactionOnRampLockedPixExample:
      value:
        id: 123e4567-e89b-12d3-a456-426614174003
        customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
        type: ON_RAMP
        request:
          customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
          exchangeRateId: 123e4567-e89b-12d3-a456-426614174000
          purpose: PERSONAL_ACCOUNT
        state:
          status: AWAITING_FUNDS
          payment:
            rail: PIX
            brCode: >-
              00020126580014br.gov.bcb.PIX0136123e4567-e89b-12d3-a456-4266141740005204000053039865802BR5915Test
              Merchant6009Sao Paulo62070503***63041234
        metadata: {}
        createdAt: '2024-03-20T15:30:00Z'
        updatedAt: '2024-03-20T15:30:05Z'
    TransactionOnRampLockedSwiftExample:
      value:
        id: 123e4567-e89b-12d3-a456-426614174004
        customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
        type: ON_RAMP
        request:
          customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
          exchangeRateId: 123e4567-e89b-12d3-a456-426614174001
          purpose: PERSONAL_ACCOUNT
        state:
          status: AWAITING_FUNDS
          payment:
            rail: SWIFT
            identifier:
              iban: KY12BUTT00001234567890123456
              bic: BUTTKYKY
            holder:
              type: BUSINESS
              name: Lumx Cayman Ltd.
              address:
                line1: Grand Pavilion, Hibiscus Way
                city: George Town
                state: Grand Cayman
                country: CYM
                postalCode: KY1-1205
            bank:
              name: Butterfield Bank (Cayman) Limited
              address:
                line1: 65 Market Street
                city: George Town
                state: Grand Cayman
                country: CYM
                postalCode: KY1-1107
            memo: INV-2024-10-1547
        metadata: {}
        createdAt: '2024-03-20T15:30:00Z'
        updatedAt: '2024-03-20T15:30:05Z'
    TransactionOnRampLockedSepaExample:
      value:
        id: 123e4567-e89b-12d3-a456-426614174005
        customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
        type: ON_RAMP
        request:
          customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
          exchangeRateId: 123e4567-e89b-12d3-a456-426614174002
          purpose: PERSONAL_ACCOUNT
        state:
          status: AWAITING_FUNDS
          payment:
            rail: SEPA
            identifier:
              iban: FR1420041010050500013M02606
              bic: BNPAFRPP
            holder:
              type: BUSINESS
              name: Lumx SAS
              address:
                line1: 45 Avenue Montaigne
                city: Paris
                state: IDF
                country: FRA
                postalCode: '75008'
            bank:
              name: BNP Paribas
              address:
                line1: 16 Boulevard des Italiens
                city: Paris
                state: IDF
                country: FRA
                postalCode: '75009'
        metadata: {}
        createdAt: '2024-03-20T15:30:00Z'
        updatedAt: '2024-03-20T15:30:05Z'
    TransactionOnRampLockedAchExample:
      value:
        id: 123e4567-e89b-12d3-a456-426614174008
        customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
        type: ON_RAMP
        request:
          customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
          exchangeRateId: 123e4567-e89b-12d3-a456-426614174003
          purpose: PERSONAL_ACCOUNT
        state:
          status: AWAITING_FUNDS
          payment:
            rail: ACH
            identifier:
              type: CHECKING
              accountNumber: '123456789012'
              routingNumber: '021000021'
            holder:
              type: BUSINESS
              name: Lumx US Inc.
              address:
                line1: 100 Wall Street
                city: New York
                state: NY
                country: USA
                postalCode: '10005'
            bank:
              name: JPMorgan Chase Bank
              address:
                line1: 383 Madison Avenue
                city: New York
                state: NY
                country: USA
                postalCode: '10179'
            memo: INV-2024-10-1550
        metadata: {}
        createdAt: '2024-03-20T15:30:00Z'
        updatedAt: '2024-03-20T15:30:05Z'
    TransactionOnRampLockedFedwireExample:
      value:
        id: 123e4567-e89b-12d3-a456-426614174009
        customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
        type: ON_RAMP
        request:
          customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
          exchangeRateId: 123e4567-e89b-12d3-a456-426614174004
          purpose: PERSONAL_ACCOUNT
        state:
          status: AWAITING_FUNDS
          payment:
            rail: FEDWIRE
            identifier:
              type: CHECKING
              accountNumber: '123456789012'
              routingNumber: '021000021'
            holder:
              type: BUSINESS
              name: Lumx US Inc.
              address:
                line1: 100 Wall Street
                city: New York
                state: NY
                country: USA
                postalCode: '10005'
            bank:
              name: JPMorgan Chase Bank
              address:
                line1: 383 Madison Avenue
                city: New York
                state: NY
                country: USA
                postalCode: '10179'
            memo: INV-2024-10-1551
        metadata: {}
        createdAt: '2024-03-20T15:30:00Z'
        updatedAt: '2024-03-20T15:30:05Z'
    TransactionOnRampLockedSpeiExample:
      value:
        id: 123e4567-e89b-12d3-a456-426614174011
        customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
        type: ON_RAMP
        request:
          customerId: 3c90c3cc-0d44-4b50-8888-8dd25736052a
          exchangeRateId: 123e4567-e89b-12d3-a456-426614174005
          purpose: PERSONAL_ACCOUNT
        state:
          status: AWAITING_FUNDS
          payment:
            rail: SPEI
            identifier:
              clabe: '012180001234567897'
        metadata: {}
        createdAt: '2024-03-20T15:30:00Z'
        updatedAt: '2024-03-20T15:30:05Z'
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: Bearer authentication header on the format `Bearer <API_KEY>`.

````